> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asksurf.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ETF Flow History



## OpenAPI

````yaml openapi.json GET /gateway/v1/market/etf
openapi: 3.1.0
info:
  title: Hermod
  version: 0.0.1
servers:
  - url: https://api.asksurf.ai
security: []
paths:
  /gateway/v1/market/etf:
    get:
      tags:
        - Market
      summary: ETF Flow History
      description: |-
        Returns daily ETF flow history for US spot ETFs.

        **Included fields:** net flow (USD), token price, per-ticker breakdown.

        Sorted by date descending. `symbol`: `BTC` or `ETH`.
      operationId: market-etf
      parameters:
        - description: Token symbol. Can be `BTC` or `ETH`.
          explode: false
          in: query
          name: symbol
          required: true
          schema:
            description: Token symbol. Can be `BTC` or `ETH`.
            enum:
              - BTC
              - ETH
            examples:
              - BTC
            type: string
        - description: Field to sort results by
          explode: false
          in: query
          name: sort_by
          schema:
            default: timestamp
            description: Field to sort results by
            enum:
              - flow_usd
              - timestamp
            examples:
              - timestamp
            type: string
        - description: Sort order
          explode: false
          in: query
          name: order
          schema:
            default: desc
            description: Sort order
            enum:
              - asc
              - desc
            examples:
              - desc
            type: string
        - description: >-
            Start of time range. Accepts Unix seconds or date string
            (YYYY-MM-DD)
          explode: false
          in: query
          name: from
          schema:
            description: >-
              Start of time range. Accepts Unix seconds or date string
              (YYYY-MM-DD)
            examples:
              - '2026-01-01'
            type: string
        - description: End of time range. Accepts Unix seconds or date string (YYYY-MM-DD)
          explode: false
          in: query
          name: to
          schema:
            description: >-
              End of time range. Accepts Unix seconds or date string
              (YYYY-MM-DD)
            examples:
              - '2026-03-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleListResponseMarketETFFlowItem'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataAPIError'
          description: Error
      security:
        - AccessToken: []
components:
  schemas:
    SimpleListResponseMarketETFFlowItem:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - >-
              https://example.com/schemas/SimpleListResponseMarketETFFlowItem.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/MarketETFFlowItem'
          type:
            - array
            - 'null'
        meta:
          $ref: '#/components/schemas/ObjectResponseMeta'
      required:
        - data
        - meta
      type: object
    DataAPIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/DataAPIError.json
          format: uri
          readOnly: true
          type: string
        error:
          $ref: '#/components/schemas/DataAPIErrorDetail'
      required:
        - error
      type: object
    MarketETFFlowItem:
      additionalProperties: false
      properties:
        etfs:
          description: Flow breakdown by individual ETF ticker
          items:
            $ref: '#/components/schemas/ETFTickerFlow'
          type:
            - array
            - 'null'
        flow_usd:
          description: Daily net flow in USD (positive=inflow, negative=outflow)
          format: double
          type: number
        price_usd:
          description: Token price in USD at close of day
          format: double
          type: number
        timestamp:
          description: Unix timestamp in seconds (midnight UTC for the trading day)
          format: int64
          type: integer
      required:
        - flow_usd
        - price_usd
        - timestamp
      type: object
    ObjectResponseMeta:
      additionalProperties: false
      properties:
        cached:
          description: Whether this response was served from cache
          type: boolean
        credits_used:
          description: Credits deducted for this request
          format: int64
          type: integer
      required:
        - credits_used
        - cached
      type: object
    DataAPIErrorDetail:
      additionalProperties: false
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
    ETFTickerFlow:
      additionalProperties: false
      properties:
        flow_usd:
          description: Daily net flow in USD for this ticker
          format: double
          type: number
        ticker:
          description: ETF ticker symbol like `IBIT`, `GBTC`, or `ETHA`
          type: string
      required:
        - ticker
        - flow_usd
      type: object

````